<div class="container col-md-4" id="cc">
  <h3 class="text-center mt-3 createHead">EDIT STAFF</h3>

  <form [formGroup]="oldData" (ngSubmit)="saveData()">
    <div class="form-group mt-3">
      <label>Staff Name : </label>
      <input
        type="text"
        class="form-control"
        id="staffname"
        formControlName="staffname"
        name="name"
      />
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['staffname'].touched &&
          oldData.hasError('required', 'staffname')
        "
        >*Name is required</span
      >
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['staffname'].touched &&
          oldData.hasError('pattern', 'staffname')
        "
        >*Numbers and special characters not allowed</span
      >
    </div>

    <div class="form-group mt-3">
      <label>Age: </label>
      <input
        type="number"
        class="form-control"
        id="staffage"
        minlength="3"
        formControlName="staffage"
        name="staffage"
      /><span
        class="text-danger"
        *ngIf="
          oldData.controls['staffage'].touched &&
          oldData.hasError('required', 'staffage')
        "
        >*Age is required</span
      >
    </div>

    <div class="form-group mt-3">
      <label>Qualification : </label>
      <input
        type="text"
        class="form-control"
        id="qualifications"
        formControlName="qualifications"
        name="qualifications"
      />
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['qualifications'].touched &&
          oldData.hasError('required', 'qualifications')
        "
        >*Qualification is required</span
      >
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['qualifications'].touched &&
          oldData.hasError('pattern', 'qualifications')
        "
        >*Numbers and special characters not allowed</span
      >
    </div>

    <div class="form-group mt-3">
      <label>Joining-date :</label>
      <input
        type="date"
        class="form-control"
        id="joining_date"
        formControlName="joining_date"
        name="joining_date"
      />
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['joining_date'].touched &&
          oldData.hasError('required', 'joining_date')
        "
        >*Joining-date is required</span
      >
    </div>

    <div class="form-group mt-3">
      <label>Department :</label>
      <input
        type="text"
        class="form-control"
        id="department"
        formControlName="department"
        name="department"
      />
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['department'].touched &&
          oldData.hasError('required', 'department')
        "
        >*Department is required</span
      >
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['department'].touched &&
          oldData.hasError('pattern', 'department')
        "
        >*Numbers and special characters not allowed</span
      >
    </div>

    <div class="form-group mt-3">
      <label>Salary: </label>
      <input
        type="number"
        class="form-control"
        id="salary"
        formControlName="salary"
        name="salary"
      />
      <span
        class="text-danger"
        *ngIf="
          oldData.controls['salary'].touched &&
          oldData.hasError('required', 'salary')
        "
        >*Salary is required</span
      >
    </div>
    <div>
      <div class="text-center">
        <button class="btn btn-danger" [disabled]="oldData.invalid">ADD</button>
      </div>
    </div>
  </form>
</div>
